/**
 * Multiple Sending Endpoint.
 * Can hold several connections.
 * Back connections to any further endpoints will not be established
 * @param {string} name endpoint name
 * @param {Object} owner of the endpoint (service)
 * @param {Object} options
 * @param {Endpoint} [options.connected] where te requests are delivered to
 * @param {Function} [options.didConnect] called after receiver is present
 */
export class MultiSendEndpoint extends MultiConnectionEndpoint {
    send(...args: any[]): void;
    sendAndReceive(...args: any[]): AsyncGenerator<any, void, unknown>;
}
import { MultiConnectionEndpoint } from "./multi-connection-endpoint.mjs";
