/**
 * @param {string} name endpoint name
 * @param {Object} owner of the endpoint (service)
 * @param {Object} options
 * @param {Function} [options.receive] reciever function
 * @param {Function} [options.receivingInterceptors]
 */
export class ReceivableEndpoint extends Endpoint {
    constructor(name: any, owner: any, options: any);
    /**
     * Set the receive function.
     * @param {Function} receive
     */
    set receive(receive: Function);
    /**
     * Get the receive function.
     * @return {Function}
     */
    get receive(): Function;
    #private;
}
import { Endpoint } from "./endpoint.mjs";
